Skip to content

Get Firewall Advanced Settings

GET
/network/firewall/advanced
curl --request GET \
--url https://sylve.lan:8181/api/network/firewall/advanced \
--header 'Authorization: <Authorization>'

Retrieve the locally managed advanced PF rule sections

Success

Media typeapplication/json
object
data
object
createdAt
string
id
integer
postNatDecl
string
postRules
string
postTrafficAnchor
string
preNatDecl
string
preRules
string
preTrafficAnchor
string
updatedAt
string
error
string
message
string
status
string
Examplegenerated
{
"data": {
"createdAt": "example",
"id": 1,
"postNatDecl": "example",
"postRules": "example",
"postTrafficAnchor": "example",
"preNatDecl": "example",
"preRules": "example",
"preTrafficAnchor": "example",
"updatedAt": "example"
},
"error": "example",
"message": "example",
"status": "example"
}

Unauthorized

Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{
"data": "example",
"error": "example",
"message": "example",
"status": "example"
}

Forbidden

Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{
"data": "example",
"error": "example",
"message": "example",
"status": "example"
}

Internal Server Error

Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{
"data": "example",
"error": "example",
"message": "example",
"status": "example"
}